"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useYfmHtmlBlockRuntime = useYfmHtmlBlockRuntime;
const utils_1 = require("@diplodoc/html-extension/utils");
/** @internal */
function useYfmHtmlBlockRuntime(meta, runtime = '_assets/html-extension.js', htmlRuntimeConfig = {}) {
    if (meta?.script?.includes(runtime)) {
        // MAJOR: update html-extension peer on ^2.7.1 and remove optional chain
        (0, utils_1.setupRuntimeConfig)?.(htmlRuntimeConfig);
        import(/* webpackChunkName: "yfm-html-runtime" */ '@diplodoc/html-extension/runtime');
    }
}
//# sourceMappingURL=useYfmHtmlBlockRuntime.js.map
