import { setupRuntimeConfig } from '@diplodoc/html-extension/utils';
/** @internal */
export function useYfmHtmlBlockRuntime(meta, runtime = '_assets/html-extension.js', htmlRuntimeConfig = {}) {
    if (meta?.script?.includes(runtime)) {
        // MAJOR: update html-extension peer on ^2.7.1 and remove optional chain
        setupRuntimeConfig?.(htmlRuntimeConfig);
        import(/* webpackChunkName: "yfm-html-runtime" */ '@diplodoc/html-extension/runtime');
    }
}
//# sourceMappingURL=useYfmHtmlBlockRuntime.js.map
